/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

:host {
  -moz-appearance: searchfield;
  font-size: 12px;
  cursor: text;
  margin: 4px; /* matches <input> global.css margin */
  padding: 1px;
  background-color: -moz-Field;
  color: -moz-FieldText;
}

html|input {
  border: none;
  padding: 0 1px;
  background-color: transparent;
  color: inherit;
  font: inherit;
  text-shadow: inherit;
  box-sizing: border-box;
  -moz-box-flex: 1;
  text-align: inherit;
}

:host([readonly="true"]) {
  background-color: -moz-Dialog;
  color: -moz-DialogText;
}

:host([disabled="true"]) {
  cursor: default;
  background-color: -moz-Dialog;
  color: GrayText;
}

/* ::::: icons ::::: */

.textbox-search-clear {
  list-style-image: url(chrome://global/skin/icons/searchfield-cancel.svg);
  margin-bottom: 1px;
}

.textbox-search-clear:not([disabled]) {
  cursor: default;
}

/* Don't leave extra blank space with long placeholders (see bug 1385902) */
.textbox-search-icons:not([selectedIndex="1"]) {
  display: none;
}
